.contacto {
    width: 100%;
    padding: 20px;
}

.contacto-container {
    background: #ffffff;
    padding: 40px;
    border-radius: 12px;
    max-width: 400px;
    width: 100%;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.2);
    text-align: center;
    margin: 0 auto;
}
.contacto-container h2 {
    margin-bottom: 10px;
    color: #333;
}

.contacto-container p {
    margin-bottom: 25px;
    color: #777;
    font-size: 14px;
}

.formulario .grupo {
    position: relative;
    margin-bottom: 20px;
}

.formulario input,
.formulario textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 6px;
    outline: none;
    font-size: 14px;
}

.formulario label {
    position: absolute;
    left: 10px;
    top: 10px;
    color: #999;
    font-size: 14px;
    transition: 0.3s;
    pointer-events: none;
    background: #fff;
    padding: 0 5px;
}

.formulario input:focus + label,
.formulario input:valid + label,
.formulario textarea:focus + label,
.formulario textarea:valid + label {
    top: -8px;
    left: 8px;
    font-size: 12px;
    color: #667eea;
}

button {
    width: 100%;
    padding: 12px;
    background: #667eea;
    color: white;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 15px;
    transition: 0.3s;
}

button:hover {
    background: #5563c1;
}